{% extends 'userMenu/base.html' %}

{% block bodyBl%}

    <h1>History</h1>
    <p class="paragraf">Welcome to your order history, {{user.login}}</p>

    {% for order in orders %}

    <div id="block" style="margin-top: 1%;">
        <p class="orderh2">Order number : {{order.pk}} </p>
        
        {% if order.status == 1 %}
            <p class = "paragraf"> Status: <span style="color: darkblue;"> Created</span></p>
        {% endif %}
        {% if order.status == 2 %}
            <p class = "paragraf"> Status: <span style="color: green;"> Accepted</span></p>
        {% endif %}
        {% if order.status == 3 %}
            <p class = "paragraf"> Status:<span style="color: green;"> Finished</span></p>
        {% endif %}
        {% if order.status == 4 %}
            <p class = "paragraf"> Status:<span style="color: red;"> Canceled</span></p>
        {% endif %}

        <span class = "order-list">List:&emsp; </span>

        {% for item in items %}
        
            {% if item.order == order %}
                <span class = "order-list">{{item}}({{item.quantity}}) / </span>
         
            {% endif %}
        {% endfor %}
        <br>
        <span class="paragraf">Checkout :<span style="color: crimson;">{{ order.total_cost }}</span></span>
    </div>
    {% endfor %}
  

{% endblock %}